==================================
Version 5.1.11 (3 Sep 2025)
==================================
 - Fixed bug: Issue that caused settings tabs to not display in the UserPro settings page.
 - Security fix.

==================================
Version 5.1.10 (23 Jan 2025)
==================================
 - Fixed bug: Register shortcode register_redirect fix.
 - Fixed bug: Register Ajax error.
 - Fixed bug: Saving Groups & Fields undefined key warning fix.
 - Fixed bug: Error while viewing followers.
 - Security fix.

==================================
Version 5.1.9 (29 Apr 2024)
==================================
 - Fixed bug: Login shortcode login_redirect fix.
 - Improved stability of user password changes.

==================================
Version 5.1.8 (15 Mar 2024)
==================================
 - Security fix.


==================================
Version 5.1.7 (1 Feb 2024)
==================================
 - Fixed bug: User profile saving fields issue.
 - Fixed bug: Invitation to register disabled issue.
 - Security fix.


==================================
Version 5.1.6 (29 Nov 2023)
==================================
 - Fixed bug: User invitation issue.
 - Security fix


==================================
Version 5.1.5 (30 Oct 2023)
==================================
 - Security fix


==================================
Version 5.1.4 (5 Oct 2023)
==================================
 - Fixed bug: Users profile view issue.


==================================
Version 5.1.3 (2 Oct 2023)
==================================
 - Fixed bug: Fixed user registration issue.
 - Fixed bug: Fixed user login redirect issue.


==================================
Version 5.1.2 (28 Sep 2023)
==================================
 - Security fix
 - Improved Facebook login security
 - Improved compatibility with php 8.2


==================================
Version 5.1.1 (27 Jul 2023)
==================================
 - Security fix
 - Fixed bug: Fixed custom user role field error.
 - Fixed bug: Fixed empty label in a field issue.


==================================
Version 5.1.0 (09 Aug 2022)
==================================
 - Update: Increased datepicker date range.
 - Fixed bug: Fixed "Change your Password" forms design issues.
 
 
==================================
Version 5.0.1 (03 Aug 2022)
==================================
 - Fixed bug: Fixed "Forgot your password?" and "Already a member?" forms design issues.


==================================
Version 5.0.0 (11 Jul 2022)
==================================
 - Update: This update is for Memberlist layouts for UserPro addon plugin.
 - Fixed bug: Fixed redirect to login page after clicking on "Already a member?".
 - Update: Guzzle 7.4.5 - PHP HTTP client library.


==================================
Version 4.10.1 (30 March 2022)
==================================
 - Update: Support with newer PHP version and code more readable.


==================================
Version 4.9.41 (08 March 2022)
==================================
 - Fixed bug: Dropdown.
 - Buttons: Changed alignment.
 - Icons: Added extra space.
 - Text: Changed alignment.
 
 
============================
Version 4.9.40 (15 June 2021)
============================
 - Security fix: User posts
 - Security fix: Reset password by URL will always return generic response
 - Enhancement: Date to age converter is now more dynamic with separators
 - Fixed bug: Min length validation (empty fields will no longer pass it)
 - Fixed bug: EMD filter with select field - no longer adds backslash to apostrophe or doesn't work
 - Fixed bug: Request verification
 - Fixed bug: Some servers had issues with google oAUTH file import
 - Fixed bug: WPML ?lang format issue with profiles/redirects
 - Fixed bug: Warning in a file "fields-functions"
============================
Version 4.9.39 (29 December 2020)
============================
 - Enhancement: Twitter social connect
 - Enhancement: Google social connect
 - Enhancement: Date to age converter now supported in EMD
 - Enhancement: Licensing page response, after submit
 - Enhancement: "popup-login,register" have been renamed to "popup_userpro-login,register" to avoid incompatibility
 - Fixed bug: Incompatibility with social connect - facebook in popup window 
 - Fixed bug: Date to age converter minor issues
 - Fixed bug: Javascript error "undefined variable"
 - Fixed bug: WordPress 5.6 incompatibility with popup-login,register
 - Fixed bug: Multiselect field - "required" option 
============================
Version 4.9.38 (22 September 2020)
============================
 - New feature: Option to convert datepicker value to age in user profile
 - Enhancement: LinkedIn social connect v2
 - Enhancement: Removed CURL notice in licensing page (no longer used)
 - Enhancement: Datepicker format validation
 - Enhancement: Add new connection now returns "Pending request" instead of "Undefined"
 - Enhancement: Country now can be de-selected by users
 - Enhancement: File upload field "allowed extensions" now can be edited
 - Enhancement: Function "post_thumb" accepts more parameters and can be used via template override
 - Fixed bug: File/Picture upload no longer ignores size limit
 - Fixed bug: MultiSelect field now works with required option
 - Fixed bug: Follow - unfollow issues
 - Fixed bug: Pop-up registration - webcam issue
 - Fixed bug: Incompatibility with MailChimp for WooCommerce plugin
 - Fixed bug: Email is in use, when administrator edits another user
 - Fixed bug: WordPress site health issue - The REST API encountered an error 
============================
Version 4.9.37.1 (29 April 2020)
============================
 - Fixed bug: License activation in UserPro admin page
============================
version 4.9.37 (10 April 2020)
============================
 - Fixed bug: Email validation in edit profile
 - Fixed bug: Mailchimp newsletter subscription not working
 - Fixed bug: Datepicker is now hideable from public by user's choice
 - Enhancement: Role-based fields no longer have adminstrator option
 - Enhancement: Mailchimp will now automatically unsubscribe upon deleted account
 - Enhancement: In registration settings, allowed roles, administrator is no longer available
 - Enhancement: Custom dropdown profile fields are now available for search in mobile versions
============================
Version 4.9.36 (30 Dec 2019)
============================
 - Fixed bug: Datepicker field not showing newer dates after picking older
 - Fixed bug: Proffesional layout, show/hide fields now respond to user/userpro-admin interaction
 - Enhancement : Emd fields are available for translation in .po files
 - Enhancement : Email texts are available for translation, that are generated upon user interaction in .po files
============================
Version 4.9.35.1 (24 Sep 2019)
============================
 - Fixed bug : Remove files from Example dir.
============================
Version 4.9.35 (24 Sep 2019)
============================
 - Security fix : Automatically remove Instagram example dir if dir exist.
 - Fixed bug : The user export download link doesn't appear.
 - Fixed bug : UserPro version not increased.
============================
Version 4.9.34 (02 Sep 2019)
============================
- Enhancement : Refactor follow/unfollow functionality
- Fixed bug : . (dot) symbol not allowed in username
- Fixed bug : Font awesome 5 version update, follow button ajax action refactor
- Fixed bug : Restricted content redirects on subdomain not working
- Fixed bug : No alert on reset options
- Fixed bug : Media manager add-on not working with professional layout
- Fixed bug : Webcam is not working on chrome/safari
- Fixed bug : User import not working even if file is .csv extension
- Fixed bug : Post by user title goes over the borders
- Fixed bug : Facebook login breaks if social features are disabled
- Fixed bug : Removed example Instagram library directory
============================
Version 4.9.33 ( 04 Jun 2019 )
============================
 - Fixed bug : Appearance of recaptcha
 - Fixed bug : Appearance of connection slug
 - Fixed bug : Restricted content redirects on subdomain not working
 - Fixed bug : Block email from registration not working
 - Fixed bug : Email field not trimmed
 - Fixed bug : Auto badges for roles are not working
 - Enhancement : Requesting/awaiting approval users design changes
 - New feature : Added buttons to accept/deny all users at once who requesting/awaiting approval
============================
============================
Version 4.9.32 ( 26 Mar 2019 )
============================
 - Fixed bug : Fields lock functionality is not working.
 - Fixed bug : Redirects are not working after login/register.
 - Fixed bug : Connection button reloads profile page.
 - Fixed bug : User waiting approval can login to the website.
 - Enhancement : Users exclude from list template.
============================
Version 4.9.31.2 ( 06 Mar 2019 )
============================
 - Fixed bug : FontAwesome 5 not working.
 - Fixed bug : Manually add badge for user functionality returns Fatal error.
 - Fixed bug : Restrict page functionality not working.
 - Fixed bug : Admin top bar appears for all users.
============================

Version 4.9.31.1 ( 05 Mar 2019 )
============================
 - Fixed bug : Emd layout not working.
 - Fixed bug : Languages text domain not working.
============================

Version 4.9.31 ( 04 Mar 2019 )
============================

    - Fixed bug : Modern layout styles breaks page design.
    - Fixed bug : User invitation validations.
    - Fixed bug : Fixed an issue where wp top bar wouldn't hide for non admins with back-end access.
    - Enhancement : Added ability to disable Ajax for login and registration.
    - Enhancement : Admin dashboard styles changes.
    - Enhancement : Added CC emails to invite users functionality.
    - Enhancement : Added "Rejected User Email".
    - New feature : New profile layout.
    - New feature : Invited users list.

============================
Version 4.9.30 ( 14 Jan 2019 )
============================

    -Fixed bug : Removed GET parameter from Linkedin redirect url.
    -Fixed bug : Removed GET parameter from Google+ redirect url.
    -Fixed bug : Removed GET parameter from Instagram redirect url.
    -Fixed bug : Removed GET parameter from Twitter redirect url.
    -Fixed bug : Memberlist responsive issue.

============================
Version 4.9.29 ( 15 Oct 2018 )
============================

    -Fixed bug : Google maps not working on user profile.
    -Fixed bug : Broken email invitation link.
    -Enhancement : MailChimp API version upgrade from 2.0 to 3.0.

============================
Version 4.9.28 ( 26 Sept 2018 )
============================

    -Security fix : Register user with administrator role.

============================
Version 4.9.27 ( 10 Sept 2018 )
============================

    - Fixed bug : Message "Please correct field" can't be translated.
    - Fixed bug : Facebook login works only after the second click.
    - Fixed bug : Removed deprecated function openssl_encrypt.
    - Fixed bug : Registration ajax bug. If display name was empty redirect not working.
    - Fixed bug : UserPro settings can't be cleared ( Roles that can edit other users profile , Roles that can view other profiles )
    - Fixed bug : If user haven't email address get an error ( Trying to get property of non-object )
    - Fixed bug : Conditional fields not working with select fields. ( Trying to get property of non-object )

============================
Version 4.9.26 ( 25 July 2018 )
============================

    - Fixed bug : Avatar upload internal server error fix.
    - Enhancement : View user profile button on default WordPress User section
    - Enhancement : Pagination for User Request awaiting manual approval

============================
Version 4.9.25 ( 30 June 2018 )
============================

    - Fixed bug : LinkedIn social login redirect url setting validation fix.


Version 4.9.24 ( 27 June 2018 )
============================

    - Enhancement : Linkedin social login update.
    - Enhancement : Google+ social login update.
    - Enhancement : Twitter social login update.
    - Enhancement : Instagam social login update.

============================

Version 4.9.23 ( 25 May 2018 )
============================

    - Fixed bug : Followers and Connection pages can't have parent page.
    - Fixed bug : Login redirect on [userpro template=login] shortcode not working.
    - Fixed bug : Conditional rules not working with file input field.
    - Fixed bug : Linkedin auth bug fix.
    - Fixed bug : Post by user filter not working.
    - Enhancement : Added translatable strings in input placeholders.

Version 4.9.22 ( 16 Apr 2018 )
============================

	- Enhancement : Double opt-in changed from false to true.
	- Fixed Bug : 	Cleaned up code, fake avast alert problem.
	- Enhancement : User verified date added.
	- Fixed Bug :	WP super cache, cookies caching problem fix.
	- Enhancement : If form role not empty in the shortcode set user role.
	- Fixed Bug : 	Registration email domains block fix.
	- Enhancement : Email validation for blacklisted emails.
	- Enhancement : Redirection fix on registration shortcode. Redirect if redirect_uri not empty.
	- Fixed Bug : 	Trim spaces from blocked emails values.
	- Fixed Bug : 	Chosen library dropdown fix.

Version 4.9.21 ( 13 Mar 2018 )
============================
    	- Security Fix : Registration role validation fix

Version 4.9.20 ( 28 Feb 2018 )
============================
	- Security Fix : File upload security update

Version 4.9.19 ( 20 Feb 2018 )
============================
	- Enhancement : Added ability to translate profile input fields labels.
	- Enhancement : FontAwesome updated to version 4.7.0
	- Fixed Bug : On invated user email uppercase not validate.
	- Fixed Bug : Facebook modal pop-up login doesn't refresh/redirect page.
	- Fixed Bug : Removed whitespaces and symbols from the email on the registration page.


Version 4.9.18.2 ( 08 Jan 2018 )
============================
	- Enhancement : Chinese translation update.
	- Fixed Bug : Total theme customization 'Save changes' button inactive.

Version 4.9.18.1 ( 27 Dec 2017 )
============================
	- Enhancement : Profile title translation update.

Version 4.9.18 ( 21 Dec 2017 )
============================
	- Fixed Bug : Fatal error for the Google map
	- Fixed Bug : Conflict with the WooCommerce plugin
	- Fixed Bug : Fixed bbPress layout issue.
	- Enhancement : Added translation strings in .po languages files.

Version 4.9.17.1 ( 26 Oct 2017 )
============================
	- Urgent Fix : Fixed security issue about admin login

Version 4.9.17 ( 18 Oct 2017 )
============================
	- Enhancement : Added setting to clear members cache after specific interval. Setting can be found at UserPro->Settings->Quick Maintenance->Set Interval to Delete Member Cache
    - Fixed Bug : while uploading the featured image from front end publisher, image height gets too large.

Version 4.9.16 ( 29 Sept 2017 )
============================
	- New Feature : Added timeline on profile page ( Note: Only new activities done by users will be shown on timeline )

Version 4.9.15 ( 10 Sept 2017 )
============================
	- Fixed Bug : For new profile layouts the social feature tabs are not getting hidden when the social features is deactivated
	- Fixed Bug : Validations not working for fields set as 'Make a field hideable from public by user'
	- Fixed Bug : UserPro badges not working for bbPress forum and topics

Version 4.9.14 ( 31 Aug 2017 )
============================
	- Fixed Bug : Deleting the users awaiting manual approval not working on PHP v7.1
	- Fixed Bug : Blocked users is displayed in the members directory
	- Fixed Bug : bbPress warning about - userpro_get_reply_author_link()

Version 4.9.13 ( 21 July 2017 )
============================
	- Fixed Bug : Fatal error for Facebook Social login about 'mcrypt_decrypt' function with PHP v7.1
	- Fixed Bug : When 'Social Features' setting is disabled from backend, the connection button still displayed in profile page
	- Fxied Bug : Background Image is not displayed on connection page
	- Fixed BUg : WooCommerce Shop page cannot be restricted

Version 4.9.12 ( 29 June 2017 )
============================
	- Fixed Bug   : Fatal error for Multiform
	- Fixed Bug   : UI of bbPress Forum page not proper
	- Fixed Bug   : Conflict with profile picture and background image while uploading image using webcam

Version 4.9.11 ( 09 June 2017 )
============================
	- Fixed Bug   : Fatal error for Twitter social login
	- Fixed Bug   : Memberlist search not working on home page
	- Fixed Bug   : The active theme name was not correctly displayed on HTML email templates

Version 4.9.10 ( 31 May 2017 )
============================
	- Enhancement : Added admin notification email when user is pending for email confirmation after registration
	- Enhancement : Added tags addon support for new profile layouts
	- Fixed Bug   : Textarea placeholder not working

Version 4.9.9 ( 12 May 2017 )
============================
	- Enhancement : Added validation for minimun characters in fields
	- Enhancement : Added setting for enabling/disabling admin notification e-mail when New user registers
	- Fixed Bug   : Badges not working for bbpress
	- Fixed Bug   : Lock fields setting not working for upload fields
	- Fixed Bug   : Fatal error for Google Map Activation

Version 4.9.8.1 ( 17 Apr 2017 )
============================
	- Urgent Fix : Parse error on installation

Version 4.9.8 ( 09 Apr 2017 )
============================
	- New feature : Added setting for white listing email domains for registration
	- Fixed Bug : Unfollow not working with php 7.1 and above
	- Fixed Bug : Google Map not displayed on view profile

Version 4.9.7 ( 30 Mar 2017 )
============================
	- New Feature : Added HTML email templates (You can enable it from UserPro->Email Notifications->Enable HTML email templates)

Version 4.9.6 ( 21 Mar 2017 )
============================
	- Fixed Bug : bbpress Forum links not integrated with userpro profile
	- Fixed Bug : Error message not displayed correctly if the user is blocked with php 7.1.0 and above
	- Fixed Bug : Verified invite and block users featuresnot working in the users section of WPAdmin with php 7.1.0 and above

Version 4.9.5 (22 Feb 2017)
============================
	- Fixed Bug : Fields in admin area not saved
	- Fixed Bug : Multiple registration form not working properly

Version 4.9.4 (16 Feb 2017)
============================
	- Enhancement : Added ability for Admin to change background image (You can find the settings at backend->userpro->Settings->Profile Settings )
	- Enhancement : Users can now set privacy for their profile
	- Enhancement : Administrator can now block email address domains
	- Fixed Bug   : Fixed Compatibility issues with PHP 7.1.0

Version 4.9.3 (02 Feb 2017)
============================
	- Enhancement : Added new "Grand layout" for profile view

Version 4.9.2 (16 Jan 2017)
============================
	- Enhancement : Added new "Classic Layout" for profile view
	- Fixed Bug   : Conditional Fields not working properly for fields which are marked as required
	- Fixed Bug   : Custom field sorting for EMD

Version 4.9.1 (21 Dec 2016)
============================
	- Enhancement : Added new "Modern layout" for profile view

Version 4.9 (08 Dec 2016)
============================
	- Fixed Bug	  : jQuery error for Google Map if it is disabled
	- Fixed Bug   : Map section displayed on Profile View even if address fields are not filled
	- Fixed Bug   : reCaptcha not validated second time

Version 4.8 (23 Nov 2016)
============================
	- New feature : Integrated Google Map

Version 4.7( 09 Nov 2016 )
============================
 	- Enhancement : UserPro is now compatible with WPML

Version 4.6( 01 Nov 2016 )
============================
	- Fixed Bug   : Email not confirmed when changed
	- Fixed Bug   : Backend Validation for the fields which are disabled to edit for users

Version 4.5( 25 Oct 2016 )
============================
	- Fixed Bug   : Link issues for Instagram and Google+ Social Accounts
	- Fixed Bug   : Webcam issue about webcam.swf file

Version 4.4( 12 Oct 2016 )
============================
	- Fixed Bug   : Block user not working for social login
	- New language: Added Chinese Language support (zh_CN and zh_TW)


Version 4.3( 04 Oct 2016 )
============================
	- Enhancement : Added configurable option for enabling conditional menu. You can find the option for this in : UserPro -> Settings -> General -> Enable Conditional Menu

Version 4.2( 26 Sep 2016 )
============================
	- Enhancement : Added html support for "New Follow Email Template"
	- Fixed Bug   : Change alignment for conditional fields options
	- Fixed Bug   : Removed fatal error from front-end publisher
	- Enhancement : Administrators can set single select or Multiselect option for front end publisher categories
	- Enhancement : Administrators can now limit the number of categories that can be allowed for the users in front-end publisher

Version 4.1(20 Sep 2016 )
============================
	- Enhancement : Added conditional field support
    - Fixed Bug   : Custom Register redirect rule not working with wildcard parameters
	- Fixed Bug   : Email notification for connection requests not working
	- Fixed Bug   : Block user and verified user button not working on users tab

Version 4.0( 06 Sep 2016 )
============================
    - Fixed Bug :Password reset email notification sent while new user registration.
    - Fixed Bug :Invalid email validation not working on login page

Version 3.9( 29 Aug 2016 )
============================
	- Improvement : Improved performance of plugin
	- Fixed Bug	  : Auto updater not working
    - Fixed Bug   : Email not sent after password is changed from profile page
	- Fixed Bug   : User not added to mailchimp list when the subscribe to newsletter field is selected by default

Version 3.8 (20 Aug 2016)
============================
	- Fixed Bug  :Subscribe to newsletter field does not populate correctly in the email template: {USERPRO_PROFILE_FIELDS}
	- Fixed Bug  :Mandatory confirm password Field not working

Version 3.7.1 (10 Aug 2016)
============================
	- Urgent Fix : Fatal error on installation

Version 3.7 (09 Aug 2016)
============================
	- Enhancement : Added configurable option to check the checkbox for MailChimp Newsletter Subscription checkbox
	- Enhancement : Added customizable Email Template for New Post Email Notification for followers
	- Enhancement : Now users can remove their connections from their own connections page
	- Fixed Bug   : Minor fixes regarding User Connections

Version 3.6 (05 Aug 2016)
============================
	- Enhancement : Added customizable text for Restricted Content while using '[userpro_private]' shortcode . Setting available at UserPro -> Settings -> General -> Text for Restricted Content
	- Enhancement : Twitter Social Login can now Fetch Email Address of the user - for this you will have to enable additional permissions(Email Address) for your Twitter App (Please refer to the documentation on the following link : http://userproplugin.com/userpro/docs/#twitter )
	- Fixed Bug	  : Compatibilty issue with myMail Addon for UserPro plugin
	- Fixed Bug	  : Facebook Social Connect issue for Chinese Users

Version 3.5 (28 July 2016)
============================
	- New Feature : Now logged in user can establish connection with other users by sending them the connection request

Version 3.4.1 (22 July 2016)
============================
	- Urgent Fix : Administrator not able to login

Version 3.4 (19 July 2016)
============================
	-Enhancement : Administrator can now edit multiple registration forms

Version 3.3 (12 July 2016)
============================
	- Enhancement : Update Facebook API 2.6
	- Enhancement : Changed Instagram Icon
    - Fixed Bug   : Badge to user roles (Automatic) not deleted
    - Fixed Bug	  : Warning and notices in User Badges section
    - Fixed Bug   : "Refresh page only" setting for Social Login is not working

Version 3.2.1 (06 Jul 2016)
============================
	- Fixed Bug : Vulnerability with facebook id

Version 3.2 (29 June 2016)
============================
	- Enhancement : Added feature to save post as draft in frontend publisher
    - Fixed Bug   : Vulnerability with facebook usernames

Version 3.1 (06 June 2016)
============================
	- Enhancement : Allow Members Directory to be paginated using alphabets

Version 3.0.1 (26 May 2016)
============================
	- Fixed Bug : Removed hardcoded names of database tables

Version 3.0 (18 May 2016)
============================
	- New Feature : Now user can take the profile picture using webcam
	- Fixed Bug   : Redirection not working when admin approve or email activation is selected for new user approval

Version 2.69 (06 May 2016)
============================
	- Enhancement : Added configurable option to show WYSIWYG editor for frontend publisher
	- Enhancement : Added option to reset password by clicking on link in email instead of security code

Version 2.68 (14 Apr 2016)
============================
	-Updated  : Made compatible with WordPress Version 4.5
	-Fixed Bug: Post by users filter - backend setting not working.
	-Fixed Bug: Shortcode for online users not working correctly.
	-Fixed Bug: Popup for Login and Register appearing below the footer.

Version 2.67 (04 Apr 2016)
============================
	   - Added compatability for using profile customizer in UserPro Dashboard Addon
	   - Fixed Bug : Upload image button for badges not working

Version 2.66 (25 Mar 2016)
============================
       - Enhancement : Admin can set which user role can edit other users profile from frontend.
       - Fix Bug 	 : Sign out a user instantly when administrator blocks the user.
       - Updated 	 : Updated Isotope version to latest.

Version 2.65 (08 Mar 2016)
============================
	- Enhancement :Configurable Option for updating user role after admin approval.
	- Updated     :Added support for UserPro Payment Addon.

Version 2.64 (29 Feb 2016)
============================
	- Enhancement :Added option for enabling/disabling welcome user email
	- Enhancement :Added seprate sub menu in backend to show pending requests
	- Enhancement :Added configurable option for twitter login issue.
	- Enhancement :Added template for invite user email subject.
	- Enhancement :Added configurable option to load badges on button click

Version 2.63 (17 Feb 2016)
============================
	- Enhancement :Added email notification for password update
	- Enhancement :Added option to disable social login on registration and login page
	- Enhancement :Added 'No posts available' notification if there are no posts when postsbyuser shortcode is used
	- Fix Bug     :New seperator section cannot be collapsed
	- Fix Bug     :linkedin and instagram button does not work if they appear on widget section as well as on page at the same time

Version 2.62 (22 Jan 2016)
============================
	- Enhancement : Added filter in postsbyuser to filter the posts based on users
	- Fixed Bug   : Request verification allignment issue in admin panel

Version 2.61 (13 Jan 2016)
============================
	- Enhancement : Added link for resending verification email on login page
	- Enhancement : Added parameter in memberlist shortcode to show members belonging to loggedin user's country (use county=mycountry in memberlist shortcode  like [userpro template=memberlist country=mycountry])

Version 2.60 (06 Jan 2016)
============================
	- Enhancement : Now administrator receives email when someone request for verification
	- Enhancement : Added field for showing youtube url.

Version 2.59 (29 Dec 2015)
============================
	- Enhancement : Now administrator can create rule to assign badges automatically to the new registered user based on user role
	- Fixed Bug   : Role selection now working properly while creating an account

Version 2.58 (14 Dec 2015)
============================
	- Enhancement : Added filters for sorting members in request tab

Version 2.57 (1 Dec 2015)
============================
	- Enhancement : Administrator can now export users based on registration date
	- Fixed Bug   : Close button in popup now displayed properly

Version 2.56 (24 Nov 2015)
============================
	- Fixed Bug	: Close button not shown for popup
	- Fixed Bug : Warning message not displayed for fields that has option to set the field hidden from public
	- Fixed Bug : If a post is restricted in the category then whole category gets restricted

Version 2.55 (10 Nov 2015)
============================
	- Fixed Bug : Vulnerability issue related to role
	- Fixed Bug : Refresh only setting now working properly for social logins

Version 2.54.1 (2 Nov 2015)
============================
	- Fixed Bug   : Registration form gets submitted even if Terms & Conditions not checked

Version 2.54 (30 Oct 2015)
============================
	- Enhancement : Added shortcode 'list_popup_view' to show profile in popup whenever user clicks on username or profile image in list view
	- Fixed Bug   : Registration form gets submitted even if invalid email address entered
	- Fixed Bug   : Removed warnings in redirects

Version 2.53 (23 Oct 2015)
============================
	- Enhancement : Administrator can now edit default badges as well as badges assigned to roles
	- Enhancement : Administrator can now delete badges from all users at once

Version 2.52 (14 Oct 2015)
============================
	- New Feature : Assign preconfigured roles to verified account, added settings for the same at backend
	- Fixed Bug   : 'New account' emails sent to user when user gets registered by using import users setting

Version 2.51 (07 Oct 2015)
============================
	- New Feature : Added shortcode for showing follow button on memberlist , use shortcode - [userpro template=memberlist memberlist_show_follow = 1]
	- Enhancement : Added confirmation box before resetting the settings in admin panel
	- Enhancement : Administrator can now send user info in subject line in email notifications

Version 2.50 (01 Oct 2015)
============================
	- Fixed Bug : "Allowed roles" getting reset to default when email templates are changed
	- Fixed Bug : Alignment issue in login/registration popup

Version 2.49 (24 Sep 2015)
============================
	- Updated font awesome library
	- Fixed Bug: MultiSelect Error on View Profile

Version 2.48 (17 Sep 2015)
============================
	-Fixed Bug : Improved XSS security

version 2.47 (10 Sep 2015)
============================
    -New feature : Admin can enable/disable newly added feature -member can edit and delete post from frontend. Default is enable,if you want to disable then add shortcode parameter usercanedit=0
	-New feature : User is notified by an email when his/her registration is pending for admin approval. Feature can enable or disable from backend.
	-Fixed Bug   : Label for Password and Confirm your Password not changing.
	-Fixed Bug   : Displaying user name on welcome message.

version 2.46 (04 Sep 2015)
============================
    -New feature : Members can now edit and delete post from frontend (Frontend Publisher)

version 2.45 (27 Aug 2015)
============================
    -New feature : Added Google reCAPTCHA

version 2.44 (25 Aug 2015)
============================
    -Fixed Bug : User getting password change mail after registration .

version 2.43 (20 Aug 2015)
============================
    -Urgent Fix : Made compatible with WordPress Version 4.3

version 2.42 (18 Aug 2015)
============================
	-Fixed Bug : All fields are now properly displayed in Modal popup.
	-Fixed Bug : Sortby custom fields now working properly in multisite.
	-Fixed Bug : Verified Invite link now working properly.

version 2.41 (13 Aug 2015)
============================
	-New feature : Connect with your instagram and linkedin page from your profile.
	-Fixed Bug   : Search not working with default permalink
	-Fixed Bug   : The registration link for invite user not working when more than two users are invited.

version 2.40 (6 Aug 2015)
============================
	- Now compatible with Facebook API V2.4
	- Fixed Bug : Users now get registered by name instead of email when registered with facebook.

version 2.39 (29 July 2015)
============================
	- New feature : Added widget for inviting users.

version 2.38 (23 July 2015)
============================
	-Fixed Bug : The member search is not finding a user when it manually entered from the back end.
	-Fixed Bug : Assign pre define role to multiple registration forms with social login.
	-Fixed Bug : Improved XSS security

version 2.37 ( 06 July 2015)
============================
    -New feature : Added option to display multiple users post in postbyuser shortcode
	-Fixed Bug   : Resolved issue with profile picture for some server,added setting for the same at backend.
	-Fixed Bug   : Registration close message displayed on registration page after activating the plugin
	-Fixed Bug   : Resolved issue with different file types of csv for import users.

version 2.36 (22 June 2015)
============================
    - New feature :Added auto update feature
    - Fixed Bug :'userpro_show_unapproved_members = 0' parameter is not working in [userpro template=collage].
    - Fixed Bug : Redirect rule not working for twitter,linkedIn,instagram.

Version 2.35 (05 June 2015)
============================
    - Fixed Bug : Mandatory option for role field now working properly
    - Fixed Bug : Memberlist search now working properly with role and memberlist_filters arguments
    - Fixed Bug : Multiselect search now working properly in emd

Version 2.34 (27 May 2015)
============================
    - New feature : Added ability to import users

Version 2.33 (18 May 2015)
============================
	- New feature : Provided ability to admin to block/unblock users account
	- Enhancement : You can now add custom fields in email templates
	- Fixed Bug : Hide from public option now working properly for field type radio
	- Fixed Bug : 'header_only' parameter now working properly

Version 2.32 (4 May 2015)
============================
	- Enhancement : You can now allow a user to see his/her own activity using this new shortcode - [userpro template = activity activity_user = self] in a page/post
	- Fixed Bug : Search issue with multiple filters in memberlist page fixed
	- Fixed Bug : Links of buddypress is now redirected to correct page
	- Fixed Bug : Activation link in mail fixed
	- Fixed Bug : Error message now displayed if size of uploaded profile picture is larger than allowed size
	- Fixed Bug : Removed hardcoded table prefixes

Version 2.31 (24 Apr 2015)
============================
	- Improved performance by minifying js/css files and reducing waiting time
	- Integrated facebook app version 2.3
	- Fixed Bug : Seperater bar now working properly
	- Fixed Bug : Fixed emd search issue for multiple user roles in shortcode
	- Fixed Bug : Improved XSS security

Version 2.30 (10 Apr 2015)
============================
	- Fixed Bug : Antispam question now working properly
	- Enhancement : Administrator can now decide whether to keep aspect ratio for profile pictures (Given setting at backend)

Version 2.29.2 (02 Apr 2015)
============================
    - Fixed Bug : Role field and 'no_header' shortcode now working properly
    - Fixed Bug : Profile details now showing up on view profile

Version 2.29.1(31 Mar 2015)
============================
    - Fixed Bug : Removed mysql warning for higher version of php
    - Fixed Bug : Login issue after last update
    - Fixed Bug : Email formatting issue.
    - Fixed Bug : Profile picture out of aspect ratio
    - Fixed Bug : UserPro not working properly with child themes
    - Fixed Bug : Update notice is now visible only to Administrator at backend

Version 2.29 (25 Mar 2015)
============================
    - Addressed vulnerability issues and enhanced security

Version 2.28 (17 Mar 2015)
============================
	- Fixed Bug : Search filters inconsistent results issue in memberlist
    - Fixed Bug : Country flags image icons corrected for all countries
    - Fixed Bug : Redirection issue after logging out from profile page
    - Fixed Bug : Strengthened security for Instagram and LinkedIn social login
    - Enhancement : If you dont want unapproved members to show up in the memberlist, you can now add this parameter "userpro_show_unapproved_members" to the shortcode. For example - [userpro template = memberlist userpro_show_unapproved_members = 0]

Version 2.27(4 Mar 2015)
============================
	- Fixed Bug : Unverified members used to show up in the memberlist - fixed this so that only verified members show up
	- Fixed Bug : Even after logout, a logged-in notification used to show up at times- fixed this now
	- Enhancement : UserPro activation queries optimized for performance

Version 2.26(25 Feb 2015)
============================
	- Fixed Bug : Fixed memberlist pagination and search issue for multiple user roles in shortcode
	- New feature : Admins now have the ability to upload badge icons from the UserPro dashboard
	- New feature : Added an automatic badge achievement ( "n" days since registration )

Version 2.25.1(24 Feb 2015)
============================
	- Fixed Bug : Fixed the auto-update notifier call. A version check can be done via a button instead

Version 2.25(20 Feb 2015)
============================
	- Fixed Bug : Invite mail notifications will now be picked up from the settings instead of the default server mail id
	- Fixed Bug : Redirect backend registration to frontend options did not display in the dropdown
    - Fixed Bug : Jquery error issue for incorrect password - only on some servers

Version 2.24.1(16 Feb 2015)
============================
	-Fixed Bug : Update notification issue in dashboard.

Version 2.24(11 Feb 2015)
============================
	-New feature : Ability to add HTML in Email notification templates
	-New feature : Ability to assign badges to user roles
	-Fixed Bug : Warning related to action hooks

Version 2.23 (03 Feb 2015)
============================
	 - New feature : Allow Dash in the username
	 - New feature : If a user publishes a new post, all his followers can receive an email notification ( Enable  Disable via settings)
	 - Fixed Bug : Fixed hyperlink issue for social wall post in activity feed
	 - Fixed Bug : Multiselect field update was not working after Unselect All in admin settings

Version 2.22 (16 Jan 2015)
============================
	 - Fixed Bug: Front end publisher featured image issues
	 - New feature: The invite email that goes out to users, will include the site name in the email subject
	 - Fixed Bug: Members Title will now be translatable
	 - Fixed Bug: Search filter for multiple roles

Version 2.21 (07 Jan 2015)
============================
	 - Fixed Bug: Multiselect & checkbox field update was not working after Unselect All
	 - Fixed Bug: Improved XSS security
	 - Fixed Bug: Issue in field updation releated to character encoding other than UTF-8

Version 2.20 (30 Dec 2014)
============================
	 - Fixed Bug: Pagination issue with WordPress 4.1

Version 2.19 (23 Dec 2014)
============================
	 - New feature: For users who register or login using Linkedin , their Profile image will be pulled from their Linkedin profile
   	 - Fixed Bug: Woocommerce billing country and shipping country field are now snyched with UserPro
   	 - Fixed Bug: Conflict with Yoast SEO plugin for the title of "My Profile" page
	 - Fixed Bug: With thumb on multisite install

Version 2.18 (12 Dec 2014)
============================
	 - New feature: Ability to alphabetical sort for custom fields in Members List
    	 - Fixed Bug: Dropdown custom field (integer) displays the next value in the list
    	 - Fixed Bug: MultiSelect Error on View Profile

Version 2.17 (9 Dec 2014)
============================
	- New feature: Ability to assign a default badge to all users
	- New feature: Ability to invite other users - Admin can restrict the site to invitation-only members. For help - http://userproplugin.com/userpro/docs/#Invitation_Based_Registration_UserPro
	- Fixed Bug: MultiSelect Error on View Profile
	- Fixed Bug: Warning - deprecated function

Version 2.15/2.16 (2 Dec 2014)
============================
	- Updated: Added support for UserPro Payment Addon
	- New feature: Enabled auto-posting on Facebook (when a user publishes a new post via frontend publisher or when a user follows someone).
	  Options to enable this auto-posting and editing the text available via UserPro -> Settings -> Facebook Integration
	- Fixed Bug: Debug Log Notices
	- Fixed Bug: Post display issue when pagination is off

Version 2.14 (25 Nov 2014)
============================
	- Updated: Profile page title will have user's name instead of "My Profile"
	- New feature: (Anti-spam) Ability to add a custom security question/answer to the registration / login form

Version 2.13 (17 Nov 2014)
============================
    - Fixed Bug: XSS cross-scripting further strengthened
    - Fixed Bug: Error message issue in Internet Explorer 11
    - New feature: Added ability for each user to turn On/Off email notifications when someone follows that user
	- Updated: Improved Spanish Translation

Version 2.12.1 (11 Nov 2014)
============================
    - Fixed Bug: For post images

Version 2.12 (11 Nov 2014)
============================
    - Updated: Replaced Timthumb with alternative script (After updating to this version, if you notice that thumb images are breaking, go to Settings ->  	   Compatibility Settings -> Toggle URL Encodings value)

Version 2.11 (04 Nov 2014)
============================
	- Fixed bug: Added check for Date Picker if undefined
	- Fixed bug: Fixed Facebook no email id returned issue.
	  At times, Facebook's API does not return any mail id (https://developers.facebook.com/bugs/298946933534016 ) , due to which a user would get logged in 		  without any mail id. The next time a similar case occurred, the earlier anon user account used to get overwritten. Now, the login will fail and the user 		  will be forced to use some other method.
	- Fixed bug: Resolved translation handling - messages and labels that weren't being picked up from the PO/ MO file.

Version 2.10 (29 Oct 2014)
============================
	  - Fixed bug: Placeholder text for dropdowns can be seen now on mobile devices.

Version 2.9 (27 Oct 2014)
============================
	 - New feature: Integrated with Instagram for Social Connect
         - Updated: Added pagination for followers and following pages. Now you can use this shortcode [userpro template=followers followers_per_page=n] to 		   display the pagination with 'n' followers per page and use this shortcode [userpro template=following following_per_page=n] to display the pagination 		   with 'n' following per page.

Version 2.8 (11 Oct 2014)
============================
	 - Updated: Provided setting for admin to select date format
	 - Fixed bug: EMD template is responsive now

Version 2.7 (8 Oct 2014)
============================
	 - Updated: Added pagination for Posts by Users. Now you can use this shortcode [userpro template=postsbyuser post_paginate=1 postsbyuser_num=n] - 		   Enable/disable pagination with post_paginate and specify number of posts on a single page with postsbyuser_num

Version 2.6 (1 Oct 2014)
============================
	 - Updated: Added asterisk (*) symbol for required fields
         - Updated: Enhanced member search - to include wp users
         - Fixed bug: Fixed upload issue - upload error due to missing class in some scenarios

Version 2.5 (24 Sep 2014)
============================
         - Updated: Added few popular google web fonts to work locally. You can download the fonts set from here to support offline usage -
	   http://userproplugin.com/userpro/google-fonts.zip
	 - Fixed bug: Fixed upload security issue
	 - Fixed bug: Conflict with s2Member

Version 2.4 (19 Sep 2014)
============================
         - Updated: Support for Rating UserPro Add-on
	 - Fixed bug: RTL issue fixed for dropdowns

Version 2.3 (16 Sep 2014)
============================
	 - New feature: Campaign monitor integration is now available!
	 - Fixed bug: For profile background
 	 - Fixed bug: For BuddyPress profile pic sync

Version 2.2 (10 Sep 2014)
============================
	 - Updated: WordPress 4.0 compatibility (includes memberlist issue with WordPress 4.0 )
           For more on how to use this - http://userproplugin.com/userpro/forums/topic/important-need-upgrading-wordpress-4-0/
	 - New feature: Added a new collage template view to display member profiles
	 - Fixed bug: LinkedIn redirection
 	 - Fixed bug: Hide Admin from online users

Version 2.1 (2 Sep 2014)
============================
	- New feature: Aweber Integration is now available!
	- Fixed bug: Profile images not showing up in some cases , with Facebook login
	- Fixed bug: Shortcode for private restricted content for "verified users"

Version 2.0 (27 Aug 2014)
============================
	- New feature: Integrated with LinkedIn for Social Connect

Version 1.0.94 (22 Aug 2014)
============================
	- Fixed bug: Fix for EMD sorting, order by now works as intended with ASC ,DESC
        - Updated: Support for Media Manager UserPro Add-on

Version 1.0.93 (7 Aug 2014)
============================
	- Updated: Enhanced help instructions within the plugin dashboard
	- Fixed bug: Fix for login/logout - compatibility issues with W3 Total Cache plugin
	- Fixed bug: Welcome Email password field for auto approved accounts
        - Fixed bug: Textarea fields in the registration / edit profile forms

Version 1.0.92 (25 Jul 2014)
============================
	- Updated: Upgraded timthumb.php to latest version
	- Fixed bug: Allows single quotes in the display name.
	- Updated: Sync of WordPress Display Name with userpro display name.

Version 1.0.91 (22 Jul 2014)
============================

	- New feature: added option in EMD (Members) to turn off initial results on members search (optional)
	- Updated : Updated to use Version 2.0 of Facebook API
	- Updated: Facebook has restricted auto posting. To adhere to these new policies, the autoposting feature has been disabled for now.
	- Fixed bug: Fix for [userpro_private] shortode for login redirection.
	- Fixed bug: Changed the class name of mailchimp to avoid conflicts with other plugins like ninja popup

Version 1.0.90 (11 Jun 2014)
============================

	- New feature: added option to redirect author archive automatically to author profile pages by UserPro
	- Fixed conflict: added compatibility fix to resolve uncommon profile picture issues
	- Fixed bug: fixed bug with choosing user roles in content restriction settings
	- Fixed bug: fixed php error in template-redirects.php file
	- Fixed bug: fixed issue with Google fonts and SSL
	- Fixed bug: fixed tooltip bug on chrome browser

Version 1.0.89 (14 May 2014)
============================

	- New feature: export users and user data to csv format is now available
	- New feature: added full page content restriction based on user roles
	- New feature: restrict any post/page/custom post for logged in users
	- New feature: restrict any post/page/custom post for verified accounts only
	- New feature: added VK.com social button to social connect shortcode
	- New feature: added option to hide/show admin from online users list
	- New feature: added option to exclude/hide specific users from EMD (Members)
	- New feature: improved overall performance (plugin deletes unused user uploads automatically)

Version 1.0.88 (11 May 2014)
============================

	- New feature: Standalone Social Connect Shortcode! With shortcode options [userpro_social_connect]
	- New feature: Implement social connect anywhere on your site with a simple shortcode
	- New feature: Make "category" field required/optional in frontend publisher (require_category=1 or 0)
	- New feature: Custom user background display in compact view / mini view is now available!
	- New feature: added custom login/register redirect URL for social connect via Google+ and Twitter
	- New feature: added memberlist_verified=0 shortcode option to show only "Unverified Accounts"
	- Fixed issue: fixed a picture upload issue on several WPMU configurations
	- Fixed bug: fixed profile picture issue for specific WPMU installations in sub-folder
	- Fixed bug: fixed bug with Russian language translation causing fatal error
	- Fixed bug: fixed issue with SSL mode and Google Fonts

Version 1.0.87 (18 Apr 2014)
============================

	- Compatible with: WordPress 3.9!
	- New feature: refined content restriction. you can restrict any post, page, or other from the post itself
	- New feature: added ability to allow more than one page if you lock entire site for guests
	- New feature: added option to customize the "new follower" e-mail template and message
	- Fixed bug: fixed profile permalink issue for profiles created without UserPro
	- Fixed bug: restricting WooCommerce product pages, etc. as restricting content now relies on post meta
	- Fixed bug: fixed issue with profiles created before UserPro or from backend
	- Fixed bug: fixed issue with memberlist_filters option when using more than 1 filter
	- Fixed bug: fixed bug with account deletion from frontend
	- Fixed bug: fixed issue with constantly open tooltips in some situations
	- Fixed bug: fixed memory issues by refining the restriction of pages/posts
	- Fixed conflict: backend conflict with some plugins using chosen dropdown fixed

Version 1.0.86 (11 Apr 2014)
============================

	- New feature: block users with usernames or email addresses from registration
	- New feature: block users with usernames or email addresses from login
	- New feature: added built-in phone number validation (with regex)
	- New feature: ability to validate any phone number fields
	- New feature: introduced built-in field validation via filter hooks
	- New feature: automatically validate field length to prevent very long values
	- New feature: added new shortcode in e-mail templates to display blog URL
	- New feature: added new shortcode in e-mail templates to display blog dashboard URL
	- New feature: added new shortcode in e-mail templates to display user's public or display name

Version 1.0.85 (09 Apr 2014)
============================

	- New feature: Enhanced Member Direcotry (EMD) Now Supports Filtering by User Role(s)
	- New feature: Enhanced Member Directory (EMD) Now Supports Filtering by Custom Fields / Meta keys
	- New feature: Enhanced Member Directory (EMD) Now Supports sorting by "sortby" parameter
	- New feature: added new e-mail templates in admin settings, customizable e-mail subjects & more!
	- Fixed bug: fixed conflict with SEO Premium by Yoast
	- Fixed bug: pixelated profile image issue is fixed
	- Fixed bug: fixed/encoded URL redirect in address bar
	- Updaed: language files have been updated
	- Added: Polish language is now included

Version 1.0.84 (04 Apr 2014)
============================

	- New feature: added "Remember me" feature for Login shortcode
	- New feature: added 'all_users' option to show posts by all users instead of specific user / profile
	- New feature: control the maximum size of files or photos that user can upload via frontend
	- New feature: added option to disable or enable lightbox feature globally
	- New feature: new action hook that runs before a form is processed in ajax 'userpro_before_form_save'
	- New feature: redirect to custom URL option when user log in with modal (data-login_redirect="your-custom-url")
	- Fixed bug: display of custom fields that have multiple values in memberlist table fixed
	- Fixed bug: Syntax error bug in registration form when form contains multi select fields is now fixed

Version 1.0.83 (27 Mar 2014)
============================

	- New feature: you can make any field required/optional with frontend publisher
	- New feature: control which fields appear in a frontend publisher shortcode
	- New feature: customize the order of frontend publisher fields easily with shortcode
	- New feature: add and collect unlimited custom fields with frontend publisher
	- New feature: UserPro backend design and colors improved/enhanced
	- New option: compatibility setting to solve UserPro post saving issue on some webhosts

Version 1.0.82 (26 Mar 2014)
============================

	- New feature: Responsive, standard users table template with customizable columns
	- New feature: Frontend publisher reset form after submitting to stop spam
	- New feature: Frontend publisher improvements, more mobile-friendly
	- Improved: added a few media queries to make the users table more responsive

Version 1.0.81 (23 Mar 2014)
============================

	- New feature: User Roles allowed to view other profiles
	- New feature: hide profiles from public (optional) but allow special roles to view them
	- New backend UI! new backend UI to help you find settings easy
	- New backend styles: Easier on eyes, more organized backend
	- Fixed bug: fixed button CSS issues on iPad

Version 1.0.80 (23 Mar 2014)
============================

	- New option: added a unique class to each badge to ease customization
	- New option: added a panel to enter custom css rules and styles directly in the backend

Version 1.0.79 (22 Mar 2014)
============================

	- New option: Added option to turn on/off lightview for profile photos
	- Updated: profile pictures/messages appear on multisite/network sites
	- Fixed bug: Multisite compatibility
	- Fixed bug: Fixed issue that allowed user to flood request verification
	- Fixed bug: corrected/cleaned up new installation


Version 1.0.78 (16 Mar 2014)
============================

	- New feature: ability to set a specific user role for each registration form
	- New option: exclude=1,2,.. memberlist option to hide specific users from member directory
	- New option: form_role in registration shortcode can set an explicit role for form
	- Fixed bug: PHP compatibility fixed
	- Fixed bug: "pure" skin styling bug fixed in modal view
	- Fixed bug: fixed a path conflict on some hosts conflicting with file uploads

Version 1.0.77 (11 Mar 2014)
============================

	- Updated: This update is required for the planned "Messaging add-on" (important)

Version 1.0.76 (7 Mar 2014)
============================

	- Issue with plugin activation due to Envato recent changes is now fixed

Version 1.0.75 (6 Mar 2014)
============================

	- New feature: Lightbox support for user photos fields with title/caption support
	- New feature: Display member profile photos in lightbox
	- New skin: "pure" a flat / borderless skin is now added!
	- Updated: social activity stream show time as time elapsed format ( xx hours ago ) instead of time format
	- Fixed bug: incorrect member search results when applying custom role/filtering fixed

Version 1.0.74 (1 Mar 2014)
============================


	- New feature: automatically show youtube, vimeo videos by using video URL only in custom field
	- New feature: panic key to allow backend access in emergency cases always (regardless of hide backend settings)
	- New option: optionally allow specific roles to publish instantly (without waiting admin approval)
	- Updated: frontend publisher show confirmation via nice modal
	- Fixed bug: frontend publisher bug fixed with single post type
	- Fixed bug: Social stream tooltip bug fixed

Version 1.0.73 (25 Feb 2014)
============================

	- New feature: RTL stylesheet support (RTL support)
	- New feature: You can show posts by user from specific category or categories, and control the taxonomy
	- New feature: Custom email templates now support user first name, last name
	- New docs: http://userproplugin.com/userpro/docs/#shortcode_postsbyuser
	- New language: Added Vietnamese Language
	- Fixed conflict: Fixed minor jQuery conflict
	- Fixed bug: UserPro shortcodes work on author.php (Author Templates)
	- Fixed bug: Fixed minor bug with Facebook autopost / Facebook connect
	- Fixed bug: Using custom slugs in userpro pages
	- Fixed bug: minor js/css conflicts fixed


Version 1.0.72 (21 Feb 2014)
============================

	- Fixed bug: UserPro now fully compatible with jQuery v2
	- Fixed bug: jQuery deprecated .live() method has been removed
	- Fixed bug: fixed JS conflicts due to deprecated .live() method
	- Fixed bug: fixed problem with activity stream "refresh"
	- Fixed bug: display name must be unique for new users
	- Fixed bug: when creating user from backend and display name is used as permalink setting
	- Fixed bug: corrected support forum links / changelog

Version 1.0.71 (19 Feb 2014)
============================

	- New feature: Modal confirmation after profile editing
	- New feature: frontend publisher supports unlimited post meta
	- New option: Display followers/following for custom username, logged in user, or author
	- Fixed bug: optimized pattern.png default background
	- Fixed bug: s2member is now compatible with userpro
	= Fixed bug: facebook autopost (asking for permissions to post when autopost is disabled)
	- Improved: frontend publisher form
	- Improved: social links automatically handles http:// and www. input

Version 1.0.70 (14 Feb 2014)
============================

	- New option: control which user roles can access the backend (WP-admin) beside admins
	- New filter hook: userpro_user_profile_url to modify user profile URL
	- Fixed bug: jQuery UI css conflict
	- Fixed bug: frontend publisher fixed
	- Fixed bug: achievement badges have been fixed
	- Fixed bug: followers/following user count bug fixed
	- Fixed bug: bug fixed with blank display name in specific situations
	- Fixed bug: rebuilding social pages is fixed

Version 1.0.69 (11 Feb 2014)
============================

	- Fixed bug: prevents duplicate profile pages with numeric slugs (e.g. -2, -3)
	- Fixed bug: critical bugfix - please update

Version 1.0.68 (9 Feb 2014)
============================

	- New feature: BuddyPress Sync (Avatars, Display name/mention, Profile links)
	- New option: Now you can require profile picture to be uploaded (Make required field)
	- New option: You can make any file or photo upload fields "required" during signup
	- Improved: CSS of warnings has improved, more flat/modern
	- Fixed bug: user search filters (checkbox and multi-select custom fields) are now fixed!
	- Fixed bug: invalid check for admin during registration form

Version 1.0.67 (5 Feb 2014)
============================

	- New feature: Facebook / Twitter Viral Marketing (Automatically publish a custom post to your user wall)
	- New feature: Automatically post a custom message to your user's Facebook Wall (optional)

Version 1.0.66 (2 Feb 2014)
============================

	- New feature: Datepicker field added!
	- New feature: Auto post to users Twitter timeline when they connect (optional / custom message)
	- New feature: Introducing Viral Social Marketing!
	- Fixed conflict: UserPro avatars now work with BuddyPress!
	- Fixed conflict: Fixed G+ connect conflict with other plugins

Version 1.0.65 (1 Feb 2014)
============================

	- Language updated: fr_FR
	- Added checks: prevent duplicate display names (when connecting with social network)
	- Fixed bug: prevented special characters in display name

Version 1.0.64 (30 Jan 2014)
============================

	- New feature: added VK integration support (Required for VK addon)
	- Language updated: pt_BR
	- Fixed conflict: Google+ now uses name to create unique username automatically
	- Fixed bug: private activity showing only to logged in user (on his profile only)

Version 1.0.63 (28 Jan 2014)
============================

	- New feature: Google+ social connect is now available!
	- New option: turn off initial results on members search (optional)
	- Improved: social login buttons redesigned and improved
	- Fixed bug: online users count text fixed

Version 1.0.62 (26 Jan 2014)
============================

	- New feature: display public activity for a specific user (or users)
	- New feature: backend option to link backend edit to frontend profiles automatically
	- New option: display verified account badge beside name (optional)
	- Fixed bug: TwitterOauth bug has been fixed
	- Fixed bug: deny special characters from display name
	- Minor conflict: css conflict fixed with some themes

Version 1.0.61 (25 Jan 2014)
============================

	- New language: Romanian
	- Fixed possible conflict: file name under multi-forms was changed
	- Fixed bug: fixed twitter social connect and auth
	- Fixed bug: minor issue with empty badge showing
	- Fixed bug: custom post type in frontend publisher

Version 1.0.60 (22 Jan 2014)
============================

	- New feature: Twitter social connect
	- New feature: Email Invitation to get verified
	- New feature: Make an account verified / unverified with one click
	- New option: use full name as display name
	- New option: use any profile field as display name
	- New option: Prevents wp-admin lock if accidently removed frontend login
	- Fixed bug: Twitter profile image fixed
	- Fixed bug: corrected country name / flag for Palestine country
	- Updated language: Russian
	- Security patch

Version 1.0.59 (22 Jan 2014)
============================

	- New feature: lock entire site for guests
	- New feature: lock homepage for guests (non logged in users)
	- New feature: lock homepage for registered users
	- New feature: added auto-paragraph support to user description in profiles
	- New feature: show user country flag in profile (optional)
	- New feature: show user country flag in badges (optional)
	- New option: disable frontend publishing for certain user roles
	- Added setting to allow/disallow dash in display names (feature request)
	- Hides backend lost password page (optional)
	- Fixed bug: Sorting multiple roles in memberlist
	- Fixed conflict: changed 'administrator' ability to 'manage_options'
	- Fixed css conflict: Sahifa wordpress theme
	- New Dashboard Design!
	- New dashboard elements: makes it easy to find plugin version, check latest version, and get support

Version 1.0.58 (19 Jan 2014)
============================

	- New Feature! Setup different registration forms
	- Added import/export for plugin settings
	- Added import/export for plugin fields and field groups
	- Speed up development by using instant plugin import/export features

Version 1.0.57 (18 Jan 2014)
============================

	- Badges and Achievements feature: add badges to users plus achievement badges
	- Frontend publisher: added options to set default post category (or categories)
	- Frontend publisher: default post category supports all taxonomies
	- Frontend publisher: added option to set allowed post types (or default post type)
	- Frontend publisher: added option to set allowed taxonomies
	- Activity stream: added button to refresh activity instantly with ajax
	- Fixed minor php warning

Version 1.0.56 (17 Jan 2014)
============================

	- Critical security and performance update (Please update your plugin!)

Version 1.0.55 (15 Jan 2014)
============================

	- Added random filenames for image/file uploads
	- Fixed bug with restrict content tab showing few posts only

Version 1.0.54 (14 Jan 2014)
============================

	- Added support to use custom icons for fields (350+ FontAwesome icons to choose from)
	- Added customizable email notification to admin when new user signs up (and waiting manual approval)
	- UserPro 100% compatible with Genesis/Avada and more CSS compatibility proven
	- Added possibility to lock posts as well as pages (Full posts/pages, or chosen content only)
	- Fixed few minor bugs with custom user notices

Version 1.0.53 (7 Jan 2014)
============================

	- Manually approve new registration (optional)
	- New Dashboard to accept verification requests/manually approve users
	- Added display name as permalink option (Profile url based on display name)
	- Added security option to disable verification badge when user changes name
	- 2 New Email Notifications: When user gets verified/un-verified (optional)

	- Upload folders for users are created on demand only
	- Fixed bug with verification request when permalink setting is set to ID
	- Fixed few bugs with memberlist search

Version 1.0.52 (5 Jan 2014)
============================

	- Added option to set "Featured Image" via frontend (publisher)
	- Added option to choose from square to rounded thumbnails via global option
	- Fixed heading color field
	- redirect_to works on all login pages now
	- Minor fix with Facebook connect (if user already exists)
	- Added option to hide admins activity from activity stream
	- Added rule to hide deleted users activity from activity stream
	- Fixed social activity stream (posts with empty title e.g. new forum reply)
	- Minor bugfixes and css improvements

Version 1.0.51 (1 Jan 2014)
============================

	- Added 3 New Skins!
	- Added hooks to allow "unlimited" custom skins
	- Added optional antispam question to password reset/change forms

Version 1.0.50 (31 Dec 2013)
============================

	- Added Live status (online/offline) user (optional)
	- Cleaned up css
	- Removed recaptcha (many compatibility issues found)
	- Replaced recaptcha with random and simple math question
	- Fixed php notices

Version 1.0.49 (29 Dec 2013)
============================

	- Added Spanish language
	- Added maintenance (quick options) to clean up your install
	- Added option to clear un-assigned file uploads
	- Added option to clear your deleted users stuff and uploads
	- Fixed MailChimp duplicate class bug
	- Fixed a bug with mail

Version 1.0.48 (26 Dec 2013)
============================

	- MailChimp Integration is now available!
	- Enable users to subscribe/unsubscribe to your mailing list(s) when registering/editing profile
	- Show user his subscription status (If he is already subscribed to mailing list)
	- Supports multiple MailChimp mailing lists

Version 1.0.47 (25 Dec 2013)
============================

	- Added option to translate/edit "Upload picture/file" button
	- Bug fixes

Version 1.0.46 (22 Dec 2013)
============================

	- Added Envato purchase code integration (Validate user's purchase and show that he's customer with nice badge)
	- Added ajax check to force unique display names (prevents duplicate display name)
	- Added compatibility settings (relative path for files, url encoding)
	- UserPro 100% compatible with CDN networks/domains
	- Minor updates and fixes

Version 1.0.45 (21 Dec 2013)
============================

	- Added ability to setup global redirection (using $_GET)
	- ?redirect_to=custom_url on login pages to take user to page after login (overrides other redirection options)
	- Important bug fixes
	- Language strings updated

Version 1.0.44 (17 Dec 2013)
============================

	- MAJOR UPDATE: Search filters are now available in member list directory besides enhanced member directory
	- replaced search_filters option by memberlist_filters
	- Custom search filters can be defined in memberlist e.g. search_country, search_gender (refer to docs)

Version 1.0.43 (16 Dec 2013)
============================

	- Added option to control profile picture size (profile_thumb_size)
	- Fixed bug with no_style option
	- CSS/Responsive bug fixes
	- Minor bug fixes

Version 1.0.42 (14 Dec 2013)
============================

	- Added option to enable terms & conditions agreement before signup
	- Added option to reinstall UserPro (reset factory settings)
	- Custom link option for verified badge
	- Fixed welcome e-mail being sent wrongly to pending users (awaiting validation)
	- Minor bug fixes

Version 1.0.41 (13 Dec 2013)
============================

	- Added option to turn off/on social module
	- Skins can be retrieved from child/parent themes
	- Fixed bug with secret key reset password procedure
	- Fixed possible conflict with a function

Version 1.0.40 (11 Dec 2013)
============================

	- DELETE UserPro addons as they are now part of core
	- MAJOR: Addons are now part of UserPro plugin
	- Added WooCommerce auto-sync fields
	- Improved header background image
	- Added Russian language

Version 1.0.39 (10 Dec 2013)
============================

	- Unlimited Google Fonts support added
	- You can now make UserPro use a Google font, your theme font or any installed font
	- Added admin options to choose which font is used to display UserPro
	- Fixed the appearance of logout layout
	- Added option to enable/disable field icons
	- Added option to hide/show top bar from non-admins

Version 1.0.38 (10 Dec 2013)
============================

	- Added more options to the card view: show/hide social icons, show/hide user bio
	- Custom skins in your_theme/userpro/skins/ are now recognized by UserPro and can be chosen
	- User Profile can be displayed for author in his posts/pages (request)
	- Added compact mode to posts by user (show posts in a simple list, show/hide thumbnail)
	- Added French language
	- Added Turkish language

Version 1.0.37 (9 Dec 2013)
============================

	- Correction made to custom skins
	- Required radio fields has been fixed
	- Added translations
	- Minor bugfixes

Version 1.0.36 (8 Dec 2013)
============================

	- Unique feature: Now you can allow users to upload a custom profile background!
	- New Profile Design
	- Allow users to customize their profile

Version 1.0.35 (7 Dec 2013)
============================

	- Overall design improvements
	- Help text is now a nice tooltip (saves more form space)
	- Added tooltips to account badges

Version 1.0.34 (6 Dec 2013)
============================

	- MAJOR FEATURE INTRODUCTION: Frontend Post Publisher (Beta)

Version 1.0.33 (5 Dec 2013)
============================

	- Allowed registration without username (using e-mail address only)
	- Enhanced error notifications and overall design
	- Advanced: added option set ajax validation checks manually on any field

Version 1.0.32 (4 Dec 2013)
============================

	- Added a way to quickly edit fields "globally" from field lists (not required to add to group first)
	- Added a way to remove existing fields (before) adding them to group in backend
	- Social links can appear in profile view as well as on bar
	- Improved backend field setup
	- Enhanced default settings/fields
	- Minor bugfix in backend fields

Version 1.0.31 (3 Dec 2013)
============================

	- Default skin has been redesigned to meet standards
	- Added option to customize css without changing plugin files
	- Optimised plugin css/js files (per users request)

Version 1.0.30 (2 Dec 2013)
============================

	- MAJOR FEATURE: Display posts made by user in his profile
	- Display posts made by any user you specify anywhere with shortcode
	- Minor bug fixes
	- Improved memberlist appearance

Version 1.0.29 (2 Dec 2013)

============================

	- MAJOR FEATURE: Display online users (2 templates available!)
	- Greatly improved plugin responsiveness
	- Added more options for compact/list view

Version 1.0.28 (30 Nov 2013)
============================

	- Added new memberlist layout (modern!)
	- Old memberlist layout still supported

Version 1.0.27 (29 Nov 2013)
============================

	- Enable "email validation" with activation link before account is active
	- Fixed problem with auto-logging user

Version 1.0.26 (28 Nov 2013)
============================

	- MAJOR UPDATE: Added Caching to member search/results to speed up memberlists
	- MAJOR UPDATE: Profile permalinks can be made from IDs, first/last name, or Username
	- profile permalink can be /profile/42, /profile/User, or /profile/Bob-Marley/
	- Added option to include profile fields in the registration welcome email/notification
	- Added 'align' option so you can control alignment of shortcodes left|right|center|none
	- Added 'no_style' option to override plugin default style
	- Added 'no_header' option to remove header from the shortcode you want
	- New shortcodes to display personalized profile data anywhere!
	- Customize and personalize profile pages e.g. Show custom welcome text

Version 1.0.25 (25 Nov 2013)
============================

	- Critical bugfix

Version 1.0.24 (24 Nov 2013)
============================

	- Added option to easily set the plugin width via global setting
	- Display content to logged in users only using shortcode
	- Display content to guests only using shortcode
	- Extract profile data/information easily using [userpro_field data=""]
	- 3 new shortcodes available! (check the plugin features for info)
	- Added a "Logout" page with different redirect options
	- Added possibility to logout users via logout page to a custom url
	- Logout redirect can be overriden with /logout/?redirect_to=custom_url
	- Fixed bug with making collapsible/collapsed sections
	- Fixed minor css conflicts

Version 1.0.23 (22 Nov 2013)
============================

	- New shortcode: [userpro_fb] to display Facebook connect button only anywhere you want
	- New shortcode option: show only members who specified a profile picture
	- Added a redirect option for facebook (e.g. refresh after login, custom url, etc.)
	- Added option to show only verified users in memberlist (compact or standard)
	- Added option to customize logout redirection url
	- General improvements to memberlist template
	- Fixed bug with memberlist template
	- Fixed bug with member search

Version 1.0.22 (21 Nov 2013)
============================

	- Minor bug fixes

Version 1.0.21 (20 Nov 2013)
============================

	- Added option to disable/enable new registration
	- Added option where admins can set custom notice/warning to user profiles (optional)
	- Optionally make the user notice visible to public or not
	- Added hook that runs after new user registration

Version 1.0.20 (18 Nov 2013)
============================

	- Added possibility to customize plugin templates from theme folder (you do not need to edit plugin templates anymore for update compatibility)
	- Corrected bug with profile permalink slug

Version 1.0.19 (17 Nov 2013)
============================

	- No more relying on plugin uploads folder
	- Changed the uploads directory to WordPress uploads directory
	- Added another way to load profile picture externally from facebook (increases compatibility)
	- Improved API for User Uploads and saving profile pictures

Version 1.0.18 (16 Nov 2013)
============================

	- Now you can show only specific fields or exclude specific fields
	- Include/exclude fields by key (e.g. country)
	- Include/exclude fields by field label (e.g. First Name)
	- Include/exclude fields by type (e.g. Select/Radio, etc.)
	- Added option to show/hide social icons via shortcode option
	- Improved custom fields in backend by showing the field key beside its label
	- Fixed Facebook login in modal popup
	- Fixed possible conflict in plugin settings menu position

Version 1.0.17 (15 Nov 2013)
============================

	- Fixed backend warnings/errors

Version 1.0.16 (15 Nov 2013)
============================

	- Added option to disable "verification request"
	- Added scroll to members box when using pagination
	- Admin notification when user registers is fixed
	- Default avatars bugfix

Version 1.0.15 (14 Nov 2013)
============================

	- Improved custom filtering for members
	- Overall plugin improvements and fixes
	- Fixed Facebook profile picture issue for some hosts
	- Fixed issues with saving settings in backend
	- TimThumb updated to latest version

Version 1.0.14 (13 Nov 2013)
============================

	- Now includes Shortcode Generator in the WP editor
	- Option to use default gravatars (until user uploads custom avatar)
	- Added option to disable password reset on admin accounts
	- Added Dutch language
	- List available/custom skins automatically in admin settings
	- Added option to frontend users to request verification
	- Added option for site admins to approve/reject verification requests
	- Fixed permalinks slugs in special cases
	- Fixed issue with empty usermeta table in some installations
	- UserPro is now prepared for custom extensions (for developers)

Version 1.0.13 (11 Nov 2013)
============================

	- Added a compact logout widget (also replaces login for logged in users)
	- If user is logged in, replace login/register forms with logout
	- Make fully restricted pages accessible to verified users (optional)
	- Control if guests/users can view other user profiles
	- Added option to turn off message notification when viewing profile and not logged in
	- Optionally show/hide login/register forms if user is already logged in
	- Fixed issue with profile permalinks
	- Fixed minor css conflict Firefox/Chrome

Version 1.0.12 (10 Nov 2013)
============================

	- Assign any fields to specific user roles
	- Logged in users will not see Register/Login pages
	- Added option to set Default Role via UserPro registration
	- Made @ allowed in usernames during signup
	- New action hook: userpro_after_profile_head
	- New API methods!
	- Fixed a bug with get_avatar
	- Minor css fixes

Version 1.0.11 (9 Nov 2013)
============================

	- Improved Responsiveness in very small resolutions
	- Can use shortcodes inside UserPro private/restricted content
	- Fixed issue with logout button after saving changes
	- Fixed issue with Facebook account creation (if user with same email already exists)
	- New filter hook: userpro_shortcode_args (For developer use)
	- New action hook: userpro_custom_template_hook (For developer use)
	- Language files updated
	- Minor bugfixes

Version 1.0.10 (8 Nov 2013)
============================

	- Automatically set profile picture for users logging via Facebook
	- Admin receive email notification when profile is updated (optional)
	- Admin receive email notification when profile is deleted (optional)
	- Mass restrict / make any page(s) private or available to members only
	- Make any page or multiple pages private/public by one click
	- Show beautiful profile cards for your users (custom profile picture size)
	- Fixed issue with dropdown menus

Version 1.0.09 (7 Nov 2013)
============================

	- Customize New Account/Welcome E-mail (Hide WP-login URL)
	- Customize e-mail headers for outgoing emails
	- New API method to show Facebook login button anywhere!
	- Improved CSS compatibility
	- Fixed UTF-8 issue on multi-language translations
	- Fixed conflict with wp-recaptcha

Version 1.0.08 (6 Nov 2013)
============================

	- Private Content Shortcode (Content for members only)
	- Restrict content to all members, specific roles, or verified accounts
	- Minor bug fixes

Version 1.0.07 (5 Nov 2013)
============================

	- Facebook social connect plus automatic profile sync/creation
	- Facebook users can login with Facebook or standard WP access
	- Fixed bug with avatars

Version 1.0.06 (4 Nov 2013)
============================

	- Added phone number support to social icons
	- New action hook: userpro_after_fields to add custom stuff after profile fields
	- Introducing UserPro API for easy access - still beta/basic

Version 1.0.05 (3 Nov 2013)
============================

	- Mark any users you want as Verified Account
	- Verified accounts get a nice badge beside name like on Twitter!
	- Admins are Verified by default
	- Backend users column to immediately mark account as Verified or Unverified
	- Show compact users list for users who are verified accounts only - optional

Version 1.0.04 (1 Nov 2013)
============================

	- Added responsive reCAPTCHA support
	- New plugin skin is added - flat
	- Show latest users
	- Show compact user profiles
	- Show specific user profile or profiles, or author contact card
	- Users/admins can remove profiles from frontend
	- Custom e-mail message sent to user after profile removal
	- Important bugfixes

Version 1.0.03 (30 Oct 2013)
============================

	- Added support for file uploads besides images
	- You can allow users to upload files e.g. pdf, text, etc.
	- Important bugfixes

Version 1.0.02 (28 Oct 2013)
============================

	- Added support for custom fields in Member Search

Version 1.0.01 (27 Oct 2013)
============================

	- Password reset / change shortcodes
	- Customize Password Reset E-mail
	- Important bugfixes
